* * *

Author Topic: Working installation versions. Synapse by Lazarus on RPI3  (Read 523 times)

pascalbythree

  • Jr. Member
  • **
  • Posts: 50
Working installation versions. Synapse by Lazarus on RPI3
« on: April 19, 2017, 06:11:48 pm »
Further i can also try to use the synapse HTTP server.

Does anybody have working versions for the:

FPC compiler
LAZARUS IDE
Synapse39/40

To install it all together. And so solve my HTTP problem.

avra

  • Hero Member
  • *****
  • Posts: 878
    • Additional info
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #1 on: April 20, 2017, 09:27:05 am »
Install from source or try some of these:
http://wiki.lazarus.freepascal.org/fpcupdeluxe
https://www.getlazarus.org/setup/?download#raspberry_pi

Are you using latest Raspbian or something else?
ct2laz - Easily convert components and projects between Lazarus and CodeTyphon

pascalbythree

  • Jr. Member
  • **
  • Posts: 50
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #2 on: April 20, 2017, 11:34:46 am »
The latest. Or wil LAZ1.1 and FPC 2.6.2 do? I saw it somewhere else, please confirm.

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 5260
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #3 on: April 20, 2017, 11:35:48 am »
Afaik only FPC3+ officially supports Raspbian.

avra

  • Hero Member
  • *****
  • Posts: 878
    • Additional info
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #4 on: April 20, 2017, 12:23:23 pm »
The latest.
Then try links I gave you, or move to some distro like Manjaro, where FPC and LAZ are always up to date.
ct2laz - Easily convert components and projects between Lazarus and CodeTyphon

pascalbythree

  • Jr. Member
  • **
  • Posts: 50
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #5 on: April 22, 2017, 09:30:48 am »
ByTheWay: Does anybody know weither, if you compile synapse40, it should appear in the component bar? Or is more alike command line code only?

GetMem

  • Hero Member
  • *****
  • Posts: 1993
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #6 on: April 22, 2017, 09:48:24 am »
Quote
@pascalbythree
ByTheWay: Does anybody know weither, if you compile synapse40, it should appear in the component bar? Or is more alike command line code only?
Synapse40 is a runtime package so it won't appear in the component bar. All you have to do is:
1. Open/Compile the package(laz_synapse.lpk)
2. Create a new application, add laz_synapse to required packages(see screenshot)
3. Add the necessary units to the uses clauses

pascalbythree

  • Jr. Member
  • **
  • Posts: 50
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #7 on: April 22, 2017, 10:27:01 am »

fpcupdeluxe readme.TXT

Quote
- Linux
=======
- GNU make
- the binutils (make etc); e.g. in a package called build-essential
- bunzip2 (probably present in most distributions)
- unzip
- untar
- subversion client: svn
- gdb is not needed for building FPC/Lazarus but needed for debugging
  your Lazarus programs
- libX11, libgdk_pixbuf-2.0, libpango-1.0, libgdk-x11-2.0
E.g. on Debian or Ubuntu, do something like:
sudo aptitude install make binutils build-essential gdb subversion zip unzip libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

Does anybody have command line commando's for fpcupdeluxe ? according above installation instructions?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 653
Re: Working installation versions. Synapse by Lazarus on RPI3
« Reply #8 on: April 22, 2017, 01:29:57 pm »
You could try:
sudo aptitude install make binutils build-essential gdb subversion zip unzip libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus